
RequireSystemScript("time.js");

var thingy = LoadImage("wee.png");
var thingyred = LoadImage("weered.png");




function image(x, y, goX, goY, imageFile, rotation)
{
	this.x = x;
	this.y = y;
	this.goX = goX;
	this.goY = goY;
	
	this.imageFile = imageFile;
	this.rotation = rotation;
	this.rotated = 0;
}



var object = new Array()
	object[0] = new image(20, 30, 1, 1, thingy, 1);
	object[1] = new image(66, 173, 2, 1.5, thingy, 1.5);
	object[2] = new image(0, 170, 1.2, 3.4, thingyred, 1);
	object[3] = new image(23, 58, 2, 1.2, thingy, -1);
	object[4] = new image(100, 91, 4.1, 3, thingyred, 0.5);
	object[5] = new image(123, 38, 1.2, 2, thingyred, -1);
	



function game()
{
	
	while(!IsAnyKeyPressed())
	{
		for (var i = 0; i < object.length; i++)
		{
			//Skip if number not found
			if (object[i] != undefined)
			{
				if (object[i].x < 0 || object[i].x > 320-thingy.width)  object[i].goX *= -1;
				if (object[i].y < 0 || object[i].y > 240-thingy.height) object[i].goY *= -1;
				
				object[i].imageFile.rotateBlit(object[i].x, object[i].y, object[i].rotated);
				
				
				object[i].x+=object[i].goX;
				object[i].y+=object[i].goY;
				
				object[i].rotated+=object[i].rotation/10;
				
				if (object[i].rotated == 360) object[i].rotated = 0;
				if (object[i].rotated == -360) object[i].rotated = 0;
			}
		}
		
		Delay(10);
		
		FlipScreen();
	}
	
	GetKey();
}





